
Ryzom - Bug # 1430

Status: Rejected Priority: Normal
Author: Botanic Category:
Created: 02/21/2012 Assignee: kaetemi
Updated: 02/27/2012 Due date:
Subject: FILE NOT FOUND ryzom_configuration_r.exe
Description

for some reason it says FILE NOT FOUND ryzom_configuration_r.exe even tho it is found and copied is there maby a duplicate entry?

-------
--- Install copy
-------
2012-02-21 01:21GMT

DIR W:/install/exedll
>>> Install copy <<<
C:/Program Files (x86)/Microsoft Visual Studio 9.0/VC/redist/x86/Microsoft.VC90.
CRT/Microsoft.VC90.CRT.manifest -> W:/install/exedll/Microsoft.VC90.CRT.manifest

C:/Program Files (x86)/Microsoft Visual Studio 9.0/VC/redist/x86/Microsoft.VC90.
CRT/msvcp90.dll -> W:/install/exedll/msvcp90.dll
C:/Program Files (x86)/Microsoft Visual Studio 9.0/VC/redist/x86/Microsoft.VC90.
CRT/msvcr90.dll -> W:/install/exedll/msvcr90.dll
R:/external/bin/fmod.dll -> W:/install/exedll/fmod.dll
R:/code/ryzom/client/client_default.cfg -> W:/install/exedll/client_default.cfg
R:/code/build/bin/Release/nel_drv_direct3d_win_r.dll -> W:/install/exedll/nel_dr
v_direct3d_win_r.dll
R:/code/build/bin/Release/nel_drv_dsound_win_r.dll -> W:/install/exedll/nel_drv_
dsound_win_r.dll
R:/code/build/bin/Release/nel_drv_fmod_win_r.dll -> W:/install/exedll/nel_drv_fm
od_win_r.dll
R:/code/build/bin/Release/nel_drv_openal_win_r.dll -> W:/install/exedll/nel_drv_
openal_win_r.dll
R:/code/build/bin/Release/nel_drv_opengl_win_r.dll -> W:/install/exedll/nel_drv_
opengl_win_r.dll
R:/code/build/bin/Release/nel_drv_xaudio2_win_r.dll -> W:/install/exedll/nel_drv
_xaudio2_win_r.dll
FILE NOT FOUND client_ryzom_r.exe
R:/code/build/bin/Release/ryzom_client_r.exe -> W:/install/exedll/ryzom_client_r
.exe
FILE NOT FOUND ryzom_configuration_r.exe

History
#1 - 02/22/2012 11:17 am - kervala

Currently ryzom_configuration_r.exe is not compiled because :
    -  it doesn't recognize new values used in client.cfg
    -  it hasn't been ported to new MFC versions
    -  there is no CMakeLists.txt :)
    -  there are some compilation errors

Edit: See code/ryzom/tools/client/client_config folder

#2 - 02/22/2012 11:49 am - kervala

Btw client_ryzom_r.exe doesn't exists anymore in Ryzom Core because we need to respect some conventions. We decided to use the same name
under all platforms. Under Linux, binaries are installed in /usr/bin or /usr/games, and libraries in /usr/lib where there are a lot of other files. Prefixing all
Ryzom stuff by ryzom_ allows to not conflict with any other file and to sort all of them in a correct order.

If we look at NeL drivers, they have too a prefix : nel_ and this is respected under all OSes.

#3 - 02/22/2012 10:28 pm - Botanic

MY BAD!

FILE NOT FOUND client_ryzom_r.exe

not configuration xD

#4 - 02/22/2012 11:01 pm - dfighter

Kervala if this tool is needed I could turn it into a Qt app, I could use the practice anyways :)

#5 - 02/22/2012 11:50 pm - kervala

dfighter wrote:

Kervala if this tool is needed I could turn it into a Qt app, I could use the practice anyways :)

It would be cool, thanks :) Molator begun to work on it there is some years ago :p

#6 - 02/23/2012 07:35 am - dfighter

kervala wrote:

dfighter wrote:

Kervala if this tool is needed I could turn it into a Qt app, I could use the practice anyways :)

It would be cool, thanks :) Molator begun to work on it there is some years ago :p

Sure then I'll look into it when I wake up :)
#7 - 02/27/2012 12:54 pm - kaetemi
- Status changed from New to Rejected

Not a bug, it just tries the 2 .exe with the different names. And it can't find one of them. :)
